Bug 1706173 - python-snuggs FTBFS with python3.8
Summary: python-snuggs FTBFS with python3.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-snuggs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841 1742555
TreeView+ depends on / blocked
 
Reported: 2019-05-03 17:39 UTC by Patrik Kopkan
Modified: 2019-08-25 21:33 UTC (History)
3 users (show)

Fixed In Version: python-snuggs-1.4.6-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-25 21:33:52 UTC


Attachments (Terms of Use)
Copr build log (96.25 KB, text/plain)
2019-05-03 17:39 UTC, Patrik Kopkan
no flags Details


Links
System ID Priority Status Summary Last Updated
Github mapbox snuggs issues 15 None None None 2019-05-03 20:47:50 UTC

Description Patrik Kopkan 2019-05-03 17:39:06 UTC
Created attachment 1562620 [details]
Copr build log

python-snuggs-1.4.3-3 fails to build with python3.8 or python3.7 because of failing tests. The failing tests are same for 3.8 and 3.7

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34605037

pytest output:

============================= test session starts ==============================
platform linux -- Python 3.8.0a3, pytest-4.4.1, py-1.8.0, pluggy-0.9.0 -- /usr/bin/python3
cachedir: .pytest_cache
rootdir: /builddir/build/BUILD/snuggs-1.4.3
collecting ... collected 36 items

test_snuggs.py::test_integer PASSED                                      [  2%]
test_snuggs.py::test_real PASSED                                         [  5%]
test_snuggs.py::test_int_expr PASSED                                     [  8%]
test_snuggs.py::test_int_mult_expr PASSED                                [ 11%]
test_snuggs.py::test_real_expr PASSED                                    [ 13%]
test_snuggs.py::test_int_real_expr PASSED                                [ 16%]
test_snuggs.py::test_real_int_expr PASSED                                [ 19%]
test_snuggs.py::test_arr_var PASSED                                      [ 22%]
test_snuggs.py::test_arr_lookup PASSED                                   [ 25%]
test_snuggs.py::test_arr_var_long PASSED                                 [ 27%]
test_snuggs.py::test_arr_lookup_kwarg_order XPASS                        [ 30%]
test_snuggs.py::test_arr_lookup_2 PASSED                                 [ 33%]
test_snuggs.py::test_arr_take PASSED                                     [ 36%]
test_snuggs.py::test_int_arr_expr PASSED                                 [ 38%]
test_snuggs.py::test_int_arr_expr_by_name PASSED                         [ 41%]
test_snuggs.py::test_int_arr_read PASSED                                 [ 44%]
test_snuggs.py::test_list PASSED                                         [ 47%]
test_snuggs.py::test_eq PASSED                                           [ 50%]
test_snuggs.py::test_or PASSED                                           [ 52%]
test_snuggs.py::test_and PASSED                                          [ 55%]
test_snuggs.py::test_ones_like PASSED                                    [ 58%]
test_snuggs.py::test_full_like PASSED                                    [ 61%]
test_snuggs.py::test_ufunc PASSED                                        [ 63%]
test_snuggs.py::test_partial PASSED                                      [ 66%]
test_snuggs.py::test_map_func PASSED                                     [ 69%]
test_snuggs.py::test_map_partial PASSED                                  [ 72%]
test_snuggs.py::test_map_asarray PASSED                                  [ 75%]
test_snuggs.py::test_multi_operator_array PASSED                         [ 77%]
test_snuggs.py::test_nil PASSED                                          [ 80%]
test_snuggs.py::test_masked_arr PASSED                                   [ 83%]
test_snuggs.py::test_missing_closing_paren FAILED                        [ 86%]
test_snuggs.py::test_missing_func PASSED                                 [ 88%]
test_snuggs.py::test_missing_func2 FAILED                                [ 91%]
test_snuggs.py::test_undefined_var PASSED                                [ 94%]
test_snuggs.py::test_bogus_higher_order_func FAILED                      [ 97%]
test_snuggs.py::test_type_error PASSED                                   [100%]

=================================== FAILURES ===================================
__________________________ test_missing_closing_paren __________________________

    def test_missing_closing_paren():
        with pytest.raises(SyntaxError) as excinfo:
            snuggs.eval("(+ 1 2")
        assert excinfo.value.lineno == 1
        assert excinfo.value.offset == 7
        exception_options = ['expected a function or operator',
                             'Expected {Forward: ... | Forward: ...}']
>       assert str(excinfo.value) in exception_options
E       assert 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' in ['expected a function or operator', 'Expected {Forward: ... | Forward: ...}']
E        +  where 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' = str(ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}'))
E        +    where ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}') = <ExceptionInfo ExpressionError tblen=3>.value

test_snuggs.py:184: AssertionError
______________________________ test_missing_func2 ______________________________

    def test_missing_func2():
        with pytest.raises(SyntaxError) as excinfo:
            snuggs.eval("(# 1 2)")
        assert excinfo.value.lineno == 1
        assert excinfo.value.offset == 2
        exception_options = ['expected a function or operator',
                             'Expected {Forward: ... | Forward: ...}']
>       assert str(excinfo.value) in exception_options
E       assert 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' in ['expected a function or operator', 'Expected {Forward: ... | Forward: ...}']
E        +  where 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' = str(ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}'))
E        +    where ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}') = <ExceptionInfo ExpressionError tblen=3>.value

test_snuggs.py:202: AssertionError
_________________________ test_bogus_higher_order_func _________________________

    def test_bogus_higher_order_func():
        with pytest.raises(SyntaxError) as excinfo:
            snuggs.eval("((bogus * 2) 2)")
        assert excinfo.value.lineno == 1
        assert excinfo.value.offset == 3
        exception_options = ['expected a function or operator',
                             'Expected {Forward: ... | Forward: ...}']
>       assert str(excinfo.value) in exception_options
E       assert 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' in ['expected a function or operator', 'Expected {Forward: ... | Forward: ...}']
E        +  where 'Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - | & | | | <= | <...quoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}' = str(ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}'))
E        +    where ExpressionError('Expected {Forward: Group:({{{{Suppress:("(") map | partial} {{{"nil" | Forward: ...} | * | + | / | - ...uoted string, starting with \' ending with \' | quoted string, starting with " ending with "}}]...} Suppress:(")")})}') = <ExceptionInfo ExpressionError tblen=3>.value

test_snuggs.py:220: AssertionError
================ 3 failed, 32 passed, 1 xpassed in 0.37 seconds ================

Comment 1 Elliott Sales de Andrade 2019-05-03 20:47:51 UTC
This is due to pyparsing 2.4.0.

Comment 2 Miro Hrončok 2019-07-10 10:53:01 UTC
Upstream seems silent, what is the course of action here?

Comment 3 Ben Cotton 2019-08-13 16:49:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Miro Hrončok 2019-08-14 22:24:51 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 5 Miro Hrončok 2019-08-21 16:35:38 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 6 Miro Hrončok 2019-08-21 17:29:35 UTC
(Python 3.8 has landed in the rawhide buildroot.)


Note You need to log in before you can comment on or make changes to this bug.